From 3e3726a5f58f5f8c97e4b91f145541d2eb86988b Mon Sep 17 00:00:00 2001
From: Alexey Minnekhanov <alexeymin@postmarketos.org>
Date: Sat, 16 Apr 2022 08:42:09 +0300
Subject: [PATCH 56/59] AlpineApkBackend: compatibility with AppStreamQt 0.15
 or later

use newer API and enum values
---
 .../backends/AlpineApkBackend/AlpineApkBackend.cpp    | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
index 88b37cf0e..f53947324 100644
--- a/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
+++ b/libdiscover/backends/AlpineApkBackend/AlpineApkBackend.cpp
@@ -34,6 +34,7 @@
 #include <KLocalizedString>
 
 #include <AppStreamQt/pool.h>
+#include <AppStreamQt/version.h>
 
 #include <QAction>
 #include <QtConcurrentRun>
@@ -90,14 +91,20 @@ AlpineApkBackend::AlpineApkBackend(QObject *parent)
 void AlpineApkBackend::loadAppStreamComponents()
 {
     AppStream::Pool *appStreamPool = new AppStream::Pool();
+#if ASQ_CHECK_VERSION(0, 15, 0)
+    // use newer API and flags available only since 0.15.0
+    appStreamPool->setFlags(AppStream::Pool::FlagLoadOsCollection | AppStream::Pool::FlagLoadOsMetainfo | AppStream::Pool::FlagLoadOsDesktopFiles);
+
+    // AS_FORMAT_STYLE_COLLECTION - Parse AppStream metadata collections (shipped by software distributors)
+    appStreamPool->addExtraDataLocation(AppstreamDataDownloader::appStreamCacheDir(), AppStream::Metadata::FormatStyleCollection);
+#else
     appStreamPool->setFlags(AppStream::Pool::FlagReadCollection |
                             AppStream::Pool::FlagReadMetainfo |
                             AppStream::Pool::FlagReadDesktopFiles);
     appStreamPool->setCacheFlags(AppStream::Pool::CacheFlagUseUser |
                                  AppStream::Pool::CacheFlagUseSystem);
-
-    // hey hey! cool stuff
     appStreamPool->addMetadataLocation(AppstreamDataDownloader::appStreamCacheDir());
+#endif
 
     if (!appStreamPool->load()) {
         qCWarning(LOG_ALPINEAPK) << "backend: Failed to load appstream data:"
-- 
GitLab


